libogg documentation | libogg release 1.0 - 20000615

# ogg_stream_flush

declared in "ogg/ogg.h";

This function checks for remaining packets inside the stream and forces remaining packets into a page, regardless of the size of the page.

This should only be used when you want to flush an undersized page from the middle of the stream. Otherwise, ogg_stream_pageout should always be used.

This function can be used to verify that all packets have been flushed. If the return value is 0, all packets have been placed into a page.

    int ogg_stream_flush(ogg_stream_state *os, ogg_page *og);

### Parameters

os
  Pointer to a previously declared ogg_stream_state struct, which represents the current logical bitstream.
og
  Pointer to a page of data. The remaining packets in the stream will be placed into this page, if any remain.

### Return Values

> - 0 means that all packet data has already been flushed into pages, and there are no packets to put into the page.
> - Nonzero means that remaining packets have successfully been flushed into the page.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615